Bug 257717 - use minor FreeBSD version numbers in package repositories
Summary: use minor FreeBSD version numbers in package repositories
Status: Closed Not A Bug
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Package Infrastructure (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kubilay Kocak
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-08-09 18:00 UTC by s.adaszewski
Modified: 2021-08-10 01:50 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description s.adaszewski 2021-08-09 18:00:58 UTC
Dear FreeBSD Community,

Sorry if the tone is perceived as a rant. It is not my intention and I would actually like to be constructive. Could we please start using the minor version numbers in package repositories? This would be conducive to having stable reproducible jail builds. I know that the canonical answer to this is "build/copy your own packages tree" but, in the age when storage is so extremely cheap, do we really need to put everyone through this torture? Thank you in advance for your consideration. Please help me to understand what would be necessary to make this happen.

Kind regards,

--
Stanislaw
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2021-08-10 01:50:41 UTC
Hi Stanislaw, thank you for taking the time to report your feedback.

In this instance and in many other change proposal scenarios, the best and recommended first-step to effecting change is to outline the case to be made, discuss, build consensus, and develop a clear and concrete change proposal in community channels such as the mailing lists, IRC and forums, with mailing lists being the traditional space. For this I'd suggest freebsd-ports or freebsd-pkg, with the former being higher volume.

If existing ports/pkg teams (CC'd) already have this on their radar, this issue can be re-opened with additional detail and steps being taken to action/resolve the change proposal.